#ifndef _BOOLBUFFER_HPP_
#define _BOOLBUFFER_HPP_

#include "externs.hpp"
#include "vertexbuffer.hpp"

class BoolContainer
{
public:
    bool value;
};

class Boolbuffer
{
public:
    Boolbuffer(); 
    ~Boolbuffer(); 

    void start();
    void finalize();
    bool *getData() { return this->values; };
    void add(bool v);


private:

    Lista2 *list;  
    int count;
    bool *values;
};

#endif